\subsection{Vision‐Based Fatigue Crack Detection of Steel Structures}
\begin{frame}{Different approaches for different problems}
    \vspace{10pt}
    \LARGE A closer look on three papers:\\\vspace{18pt}
    \large \tableofcontents[currentsubsection, hideothersubsections, sectionstyle=hide, subsectionstyle=show/shaded]
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Problem \& basic idea}
    \begin{columns}
        \column{.6\linewidth}
        \begin{block}{steel structures get fatigue cracks}
            \begin{itemize}
                \item due to repetitive, high load
                \item detected by human inspection
                    \begin{itemize}
                        \item time intensive
                        \item expensive
                        \item unreliable
                    \end{itemize}
            \end{itemize}
        \end{block}
        \column{.4\linewidth}
        {\transparent{0.5}
            \begin{block}{idea}
                detect and track cracks using video clips 
                \vspace{-8pt}
                \begin{itemize}
                    \item camera placed in front of girder
                    \item takes multiple short videos under load
                \end{itemize}
            \end{block}
        }
    \end{columns}
    {\transparent{0.5}

        \begin{block}{algorithm in short}
            \centering
            \begin{tikzpicture}
                % Place nodes
                \node [block] (fpd) {feature point detection};
                \node [block, right=20pt of fpd] (fpt) {feature point tracking};
                \node [block, below=20pt of fpt] (cdl) {crack detection and localization};
                \node [block, below=20pt of fpd] (coq) {crack opening quantification};

                % Draw edges
                \path [line] (fpd) -- (fpt);
                \path [line] (fpt) -- node[left] {\footnotesize different movements?} (cdl);
                \path [line] (cdl) -- (coq);
            \end{tikzpicture}
    \end{block} }
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Problem \& basic idea}
    \begin{columns}
        \column{.6\linewidth}
        {\transparent{0.5}
            \begin{block}{steel structures get fatigue cracks}
                \begin{itemize}
                    \item due to repetitive, high load
                    \item detected by human inspection
                        \begin{itemize}
                            \item time intensive
                            \item expensive
                            \item unreliable
                        \end{itemize}
                \end{itemize}
            \end{block}
        }
        \column{.4\linewidth}
        \begin{block}{idea}
            detect and track cracks using video clips 
            \vspace{-8pt}
            \begin{itemize}
                \item camera placed in front of girder
                \item takes multiple short videos under load
            \end{itemize}
        \end{block}
    \end{columns}
    {\transparent{0.5}
        \begin{block}{algorithm in short}
            \centering
            \begin{tikzpicture}
                % Place nodes
                \node [block] (fpd) {feature point detection};
                \node [block, right=20pt of fpd] (fpt) {feature point tracking};
                \node [block, below=20pt of fpt] (cdl) {crack detection and localization};
                \node [block, below=20pt of fpd] (coq) {crack opening quantification};

                % Draw edges
                \path [line] (fpd) -- (fpt);
                \path [line] (fpt) -- node[left] {\footnotesize different movements?} (cdl);
                \path [line] (cdl) -- (coq);
            \end{tikzpicture}
    \end{block}}
\end{frame}


\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Problem \& basic idea}
    {\transparent{0.5}
        \begin{columns}
            \column{.6\linewidth}
            \begin{block}{steel structures get fatigue cracks}
                \begin{itemize}
                    \item due to repetitive, high load
                    \item detected by human inspection
                        \begin{itemize}
                            \item time intensive
                            \item expensive
                            \item unreliable
                        \end{itemize}
                \end{itemize}
            \end{block}
            \column{.4\linewidth}
            \begin{block}{idea}
                detect and track cracks using video clips 
                \vspace{-8pt}
                \begin{itemize}
                    \item camera placed in front of girder
                    \item takes multiple short videos under load
                \end{itemize}
            \end{block}
    \end{columns}}
    \begin{block}{algorithm in short}
        \centering
        \begin{tikzpicture}
            % Place nodes
            \node [block] (fpd) {feature point detection};
            \node [block, right=20pt of fpd] (fpt) {feature point tracking};
            \node [block, below=20pt of fpt] (cdl) {crack detection and localization};
            \node [block, below=20pt of fpd] (coq) {crack opening quantification};

            % Draw edges
            \path [line] (fpd) -- (fpt);
            \path [line] (fpt) -- node[left] {\footnotesize different movements?} (cdl);
            \path [line] (cdl) -- (coq);
        \end{tikzpicture}
    \end{block}
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Algorithm}
    \begin{columns}
        \column{.56\linewidth}
        \begin{block}{feature point detection}
            \vspace{-4pt}
            \begin{itemize}
                \item using Shi-Tomasi algorithm
                    \vspace{-2pt}
                    \begin{enumerate}
                        \item region of interest selected
                        \item feature points selected
                    \end{enumerate}
            \end{itemize}
            \vspace{-20pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=0.5\linewidth]{./resources/figures_crack_detection/Fig3bc.png}
                \vspace{-20pt}
                \caption*{\hspace{100pt}\footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-20pt}
        \end{block}
        {\transparent{0.5}
            \begin{block}{crack opening quantification}
                \vspace{-4pt}
                \begin{itemize}
                    \item windows deployed on both sides 
                        \vspace{-4pt}
                    \item quantification done using window movement
                \end{itemize}
            \end{block}
        }
        \column{.03\linewidth}
        \vspace{10pt}\\
        $ \to $\\
        \vspace{110pt}
        $ \leftarrow $
        \column{.45\linewidth}
        {\transparent{0.5}
            \begin{block}{feature point tracking}
                \begin{itemize}
                    \item using adapted Kanade- Lucas-Tomasi tracker
                \end{itemize}
            \end{block}
        }
        \centering
        $ \downarrow $
        {\transparent{0.5}
            \begin{block}{crack detection}
                \begin{itemize}
                    \item surface motion discontinuities detected
                \end{itemize}
                \centering
                \vspace{-25pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics{./resources/figures_crack_detection/Fig4_crop.png}
                    \vspace{-22pt}
                    \caption*{\hspace{120pt}\footnotesize \cite{paper_crack_detection}}
                \end{figure}
                \vspace{-18pt}
            \end{block}
        }
    \end{columns}
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Algorithm}
    \begin{columns}
        \column{.56\linewidth}
        {\transparent{0.5}
            \begin{block}{feature point detection}
                \vspace{-4pt}
                \begin{itemize}
                    \item using Shi-Tomasi algorithm
                        \vspace{-2pt}
                        \begin{enumerate}
                            \item region of interest selected
                            \item feature points selected
                        \end{enumerate}
                \end{itemize}
                \centering
                \vspace{-20pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics[width=0.5\linewidth]{./resources/figures_crack_detection/Fig3bc.png}
                    \vspace{-20pt}
                    \caption*{\hspace{100pt}\footnotesize \cite{paper_crack_detection}}
                \end{figure}
                \vspace{-20pt}
            \end{block}
            \begin{block}{crack opening quantification}
                \vspace{-4pt}
                \begin{itemize}
                    \item windows deployed on both sides 
                        \vspace{-4pt}
                    \item quantification done using window movement
                \end{itemize}
            \end{block}
        }
        \column{.03\linewidth}
        \vspace{10pt}\\
        $ \to $\\
        \vspace{110pt}
        $ \leftarrow $
        \column{.45\linewidth}
        \begin{block}{feature point tracking}
            \begin{itemize}
                \item using adapted Kanade- Lucas-Tomasi tracker 
            \end{itemize}
        \end{block}
        \centering
        $ \downarrow $
        {\transparent{0.5}
            \begin{block}{crack detection}
                \begin{itemize}
                    \item surface motion discontinuities detected
                \end{itemize}
                \centering
                \vspace{-25pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics{./resources/figures_crack_detection/Fig4_crop.png}
                    \vspace{-22pt}
                    \caption*{\hspace{120pt}\footnotesize \cite{paper_crack_detection}}
                \end{figure}
                \vspace{-18pt}
        \end{block}}
    \end{columns}
\end{frame}


\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Algorithm}
    \begin{columns}
        \column{.56\linewidth}
        {\transparent{0.5}
            \begin{block}{feature point detection}
                \vspace{-4pt}
                \begin{itemize}
                    \item using Shi-Tomasi algorithm
                        \vspace{-2pt}
                        \begin{enumerate}
                            \item region of interest selected
                            \item feature points selected
                        \end{enumerate}
                \end{itemize}
                \centering
                \vspace{-20pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics[width=0.5\linewidth]{./resources/figures_crack_detection/Fig3bc.png}
                    \vspace{-20pt}
                    \caption*{\hspace{100pt}\footnotesize \cite{paper_crack_detection}}
                \end{figure}
                \vspace{-20pt}

            \end{block}
            \begin{block}{crack opening quantification}
                \vspace{-4pt}
                \begin{itemize}
                    \item windows deployed on both sides 
                        \vspace{-4pt}
                    \item quantification done using window movement
                \end{itemize}
            \end{block}
        }
        \column{.03\linewidth}
        \vspace{10pt}\\
        $ \to $\\
        \vspace{110pt}
        $ \leftarrow $
        \column{.45\linewidth}
        {\transparent{0.5}
            \begin{block}{feature point tracking}
                \begin{itemize}
                    \item using adapted Kanade- Lucas-Tomasi tracker 
                \end{itemize}
            \end{block}
        }
        \centering
        $ \downarrow $
        \begin{block}{crack detection}
            \begin{itemize}
                \item surface motion discontinuities detected
            \end{itemize}
            \centering
            \vspace{-25pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics{./resources/figures_crack_detection/Fig4_crop.png}
                \vspace{-22pt}
                \caption*{\hspace{120pt}\footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-18pt}
        \end{block}
    \end{columns}
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Algorithm}
    \begin{columns}
        \column{.56\linewidth}
        {\transparent{0.5}
            \begin{block}{feature point detection}
                \vspace{-4pt}
                \begin{itemize}
                    \item using Shi-Tomasi algorithm
                        \vspace{-2pt}
                        \begin{enumerate}
                            \item region of interest selected
                            \item feature points selected
                        \end{enumerate}
                \end{itemize}
                \centering
                \vspace{-20pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics[width=0.5\linewidth]{./resources/figures_crack_detection/Fig3bc.png}
                    \vspace{-20pt}
                    \caption*{\hspace{100pt}\footnotesize \cite{paper_crack_detection}}
                \end{figure}
                \vspace{-20pt}
        \end{block}}
        \begin{block}{crack opening quantification}
            \vspace{-4pt}
            \begin{itemize}
                \item windows deployed on both sides 
                    \vspace{-4pt}
                \item quantification done using window movement
            \end{itemize}
        \end{block}
        \column{.03\linewidth}
        \vspace{10pt}\\
        $ \to $\\
        \vspace{110pt}
        $ \leftarrow $
        \column{.45\linewidth}
        {\transparent{0.5}
            \begin{block}{feature point tracking}
                \begin{itemize}
                    \item using adapted Kanade- Lucas-Tomasi tracker 
                \end{itemize}
            \end{block}
            \centering
            $ \downarrow $
            \begin{block}{crack detection}
                \begin{itemize}
                    \item surface motion discontinuities detected
                \end{itemize}
                \centering
                \vspace{-25pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics{./resources/figures_crack_detection/Fig4_crop.png}
                    \vspace{-22pt}
                    \caption*{\hspace{120pt}\footnotesize \cite{paper_crack_detection}}
                \end{figure}
                \vspace{-18pt}
        \end{block}}
    \end{columns}
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Experiments \& Results}
    \begin{block}{test setup}
        \vspace{-15pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.7\linewidth]{./resources/figures_crack_detection/Fig5_crop.png}
            \vspace{-25pt}
            \caption*{\hspace{200pt}\footnotesize \cite{paper_crack_detection}}
        \end{figure}
        \vspace{-15pt}
    \end{block}
    {\transparent{.5}
        \begin{block}{crack detection results}
            \vspace{-15pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=0.6\linewidth]{./resources/figures_crack_detection/Fig6_crop.png}
                \vspace{-20pt}
                \caption*{\hspace{190pt}\footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-35pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=0.8\linewidth]{./resources/figures_crack_detection/Fig7_crop.png}
                \vspace{-20pt}
                \caption*{\hspace{255pt}\footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-20pt}
    \end{block}}
\end{frame}



\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Experiments \& Results}
    {\transparent{.5}
        \begin{block}{test setup}
            \vspace{-15pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=0.7\linewidth]{./resources/figures_crack_detection/Fig5_crop.png}
                \vspace{-25pt}
                \caption*{\hspace{200pt}\footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-15pt}
    \end{block}}
    \begin{block}{crack detection results}
        \vspace{-15pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.6\linewidth]{./resources/figures_crack_detection/Fig6_crop.png}
            \vspace{-20pt}
            \caption*{\hspace{190pt}\footnotesize \cite{paper_crack_detection}}
        \end{figure}
        \vspace{-35pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.8\linewidth]{./resources/figures_crack_detection/Fig7_crop.png}
            \vspace{-20pt}
            \caption*{\hspace{255pt}\footnotesize \cite{paper_crack_detection}}
        \end{figure}
        \vspace{-20pt}
    \end{block}
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Experiments \& Results}
    \begin{block}{crack opening quantification}
        \vspace{-10pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.95\linewidth]{./resources/figures_crack_detection/Fig8_crop.png}
            \vspace{-25pt}
            \caption*{\hspace{265pt}\footnotesize \cite{paper_crack_detection}}
        \end{figure}
        \vspace{-13pt}
    \end{block}
    {\transparent{.5}
        \begin{block}{out-of-plane cracks}
            \vspace{-10pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=0.9\linewidth]{./resources/figures_crack_detection/Fig11_crop.png}
                \vspace{-20pt}
                \caption*{\hspace{285pt} \footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-15pt}
    \end{block}}
\end{frame}

\begin{frame}{Vision-Based Fatigue Crack Detection of Steel Structures}
    \framesubtitle{Experiments \& Results}
    {\transparent{.5}
        \begin{block}{crack opening quantification}
            \vspace{-10pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=0.95\linewidth]{./resources/figures_crack_detection/Fig8_crop.png}
                \vspace{-25pt}
                \caption*{\hspace{265pt}\footnotesize \cite{paper_crack_detection}}
            \end{figure}
            \vspace{-13pt}
    \end{block}}
    \begin{block}{out-of-plane cracks}
        \vspace{-10pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.9\linewidth]{./resources/figures_crack_detection/Fig11_crop.png}
            \vspace{-20pt}
            \caption*{\hspace{285pt} \footnotesize \cite{paper_crack_detection}}
        \end{figure}
        \vspace{-15pt}
    \end{block}
\end{frame}
